Opened 10 years ago

Closed 10 years ago

Last modified 46 years ago

#412 closed bug (Fixed)

Warning and glagow-exts instead of glasgow-exts

Reported by: nobody Owned by: simonpj
Priority: normal Milestone:
Component: Compiler Version: None
Keywords: Cc:
Operating System: Architecture:
Type of failure: Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:


Take this module (Bla.hs): 

x = [ q | y <- [1..10] | z <- [30..40], let q = z*z]

Loading it into GHCi gives:

[ Bla.hs:1: Illegal parallel list comprehension: use -
fglagow-exts ]

PROBLEM: glagow-exts should be glasgow-exts

If we supply this option, one of the warnings is incorrect:

[ Bla.hs:1: Warning: Defined but not used: y, z ]

PROBLEM: z is used but marked as not used

Cheers, Arjan ([email protected])

Change History (2)

comment:1 Changed 10 years ago by simonpj

Logged In: YES 

Thank you.  Both bugs now fixed.

Test is rn047

comment:2 Changed 10 years ago by simonpj

  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.